# Generated from hoe-packaging-1.2.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hoe-packaging

Name: rubygem-%{gem_name}
Version: 1.2.8
Release: 1%{?dist}
Summary: Collection of some personal used tasks for creating and deploying RPM and DEB packages
License: GPL-3.0
URL: https://github.com/saigkill/hoe-packaging
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
# BuildRequires: rubygem(hoe) >= 3.22
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
hoe-packaging is a plugin for the hoe ruby projecthelper
(https://github.com/seattlerb/hoe). It provides creation of rpm and deb
packages, also a deployment to bintray.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/MAINTENANCE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md

%changelog
* Tue Aug 24 2021 mockbuilder - 1.2.8-1
- Initial package
